node {
       //def dockerfile = /var/lib/jenkins/workspace/P10_Full_stack01/spring-boot-oauth2-social-login
       def DATE = new Date().format('yy.M')
       def TAG = "${DATE}.${BUILD_NUMBER}"
        //registryProjet='imech/devops2022'
        //IMAGE="${registryProjet}:appSp-${env.BUILD_NUMBER}"

    stage('Git clone') {
         
        git credentialsId: 'gitlab', url: 'git@gitlab.com:gia.chedi.mansouri/full_stack.git'
         
    }
    
    stage('Build') {
          sh ' cd spring-boot-oauth2-social-login && mvn clean install ' 
    //    sh ' cd front_angular &&  npm install ' 
    }


    stage('Docker Build') {
        //sh ' cd spring-boot-oauth2-social-login && docker build -t cmansouri/back2022:SP-$BUILD_NUMBER .' 
        //sh ' cd front_angular && docker build -t cmansouri/front2022:AN-$BUILD_NUMBER .'
        sh ' cd spring-boot-oauth2-social-login && docker build -t cmansouri/back2022:latest .' 
        sh ' cd front_angular && docker build -t cmansouri/front2022:latest .'
    }   
    

    stage('Push') {
         withDockerRegistry([ credentialsId: "dockerhub", url: "" ]) {       
         //sh 'docker push cmansouri/back2022:SP-$BUILD_NUMBER'
         sh 'docker push cmansouri/back2022:latest'
         //sh 'docker push cmansouri/front2022:AN-$BUILD_NUMBER'        
         sh 'docker push cmansouri/front2022:latest'
    }

    }

   stage('Deploy to K8S Master') {
       
kubernetesDeploy configs: 'deploy.yaml', kubeConfig: [path: ''], kubeconfigId: 'K8S', secretName: '', ssh: [sshCredentialsId: '*', sshServer: ''], textCredentials: [certificateAuthorityData: '', clientCertificateData: '', clientKeyData: '', serverUrl: 'https://']

   }      
           
}
